> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Close Recommendation Verification

> Admin override: force-close a monitoring verification to `verified` or
`failed`. Evented (`fix.verified`/`fix.failed`, `admin_override: true`).



## OpenAPI

````yaml /openapi.json post /v1/recommendations/{rec_id}/verification/close
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/recommendations/{rec_id}/verification/close:
    post:
      tags:
        - recommendations
      summary: Close Recommendation Verification
      description: |-
        Admin override: force-close a monitoring verification to `verified` or
        `failed`. Evented (`fix.verified`/`fix.failed`, `admin_override: true`).
      operationId: >-
        close_recommendation_verification_v1_recommendations__rec_id__verification_close_post
      parameters:
        - in: path
          name: rec_id
          required: true
          schema:
            title: Rec Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerificationCloseBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    VerificationCloseBody:
      properties:
        note:
          anyOf:
            - maxLength: 2000
              type: string
            - type: 'null'
          title: Note
        outcome:
          enum:
            - verified
            - failed
          title: Outcome
          type: string
      required:
        - outcome
      title: VerificationCloseBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````